package com.seer.teach.mp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.seer.teach.mp.entity.MpAgentEntity;

import java.util.List;

/**
 * 代理商服务接口
 */
public interface IMpAgentService extends IService<MpAgentEntity> {

    /**
     * 根据ID获取代理商信息
     *
     * @param id 代理商ID
     * @return 代理商实体
     */
    MpAgentEntity getAgentById(Integer id);

    /**
     * 保存代理商
     *
     * @param agentEntity 代理商实体
     * @param password 密码
     * @return 是否成功
     */
    Boolean saveAgent(MpAgentEntity agentEntity,String password);

    /**
     * 更新代理商
     *
     * @param agentEntity 代理商实体
     * @param password 密码
     * @return 是否成功
     */
    Boolean updateAgent(MpAgentEntity agentEntity,String password);

    /**
     * 获取代理商名称列表
     * @return 代理商名称列表
     */
    List<String> getAgentName();

    /**
     * 根据手机号获取代理商数量
     * @param phone 手机号
     * @return 代理商数量
     */
    long getCountByPhone(String phone);

    /**
     * 根据用户ID获取代理商列表
     * @param userId 用户ID
     * @return 代理商列表
     */
    List<MpAgentEntity> getListByUserId(Integer userId);
}